VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
AudioBuffer< T > Class Template Reference

`#include <vstbypassprocessor.h>`

## Public Member Functions
| AudioBuffer ()
| ~AudioBuffer ()
void | resize (int32 _maxSamples)
void | clear (int32 numSamples)
int32 | getMaxSamples () const
void | release ()
void | clearAll ()
| operator T* ()

## Protected Attributes
T * | mBuffer
int32 | mMaxSamples

## Constructor & Destructor Documentation

## ◆ AudioBuffer()

template<typename T>

AudioBuffer | ( |  | ) |
| inline

## ◆ ~AudioBuffer()

template<typename T>

~AudioBuffer | ( |  | ) |
| inline

## Member Function Documentation

## ◆ resize()

template<typename T>

void resize | ( | int32 | _maxSamples | ) |
| inline

## ◆ clear()

template<typename T>

void clear | ( | int32 | numSamples | ) |
| inline

## ◆ getMaxSamples()

template<typename T>

int32 getMaxSamples | ( |  | ) | const
| inline

## ◆ release()

template<typename T>

void release | ( |  | ) |
| inline

## ◆ clearAll()

template<typename T>

void clearAll | ( |  | ) |
| inline

## ◆ operator T*()

template<typename T>

operator T* | ( |  | ) |
| inline

## Member Data Documentation

## ◆ mBuffer

template<typename T>

T* mBuffer
| protected

## ◆ mMaxSamples

template<typename T>

int32 mMaxSamples
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.